Use the `animate` program to animate an image sequence on any X server. See Command Line Processing for advice on how to structure your `animate` command or see below for example usages of the command.

## Example Usage

We list a few examples of the `animate` command here to illustrate its usefulness and ease of use. To get started, lets animate an image sequence in the GIF format:

      animate movie.gif

To animate a directory of JPEG images, use:

      animate *.jpg

You can find additional examples of using `animate` in Graphics from the Command Line. Further discussion is available in More Graphics from the Command Line and Examples of ImageMagick Usage.

## Option Summary

The `animate` command recognizes these options. Click on an option to get more details about how that option works.

Option | Description
--- | ---
-antialias | remove pixel-aliasing
-authenticate value | decrypt image with this password
-backdrop | background color
-background color | background color
-border geometry | surround image with a border of color
-bordercolor color | border color
-channel type | apply option to select image channels
-clip | clip along the first path from the 8BIM profile
-clip-path id | clip along a named path from the 8BIM profile
-coalesce | merge a sequence of images
-colormap type | Shared or Private
-colors value | preferred number of colors in the image
-colorspace type | alternate image colorspace
-comment string | annotate image with comment
-compress type | image compression type
-contrast | enhance or reduce the image contrast
-crop geometry | preferred size and location of the cropped image
-debug events | animate copious debugging information
-define format:option | define one or more image format options
-delay value | animate the next image after pausing
-density geometry | horizontal and vertical density of the image
-depth value | image depth
-despeckle | reduce the speckles within an image
-display server | get image or font from this X server
-dispose method | GIF disposal method
-dither | apply Floyd/Steinberg error diffusion to image
-edge radius | apply a filter to detect edges in the image
-endian type | endianness (MSB or LSB) of the image
-enhance | apply a digital filter to enhance a noisy image
-extract geometry | extract area from image
-filter type | use this filter when resizing an image

-flatten | flatten a sequence of images
-flip | flip image in the vertical direction
-flop | flop image in the horizontal direction
-frame geometry | surround image with an ornamental border
-gamma value | level of gamma correction
-geometry geometry | perferred size or location of the image
-help | print program options
-immutable type | prohibit image edits
-interlace type | type of image interlacing scheme
-label name | assign a label to an image
-limit type value | pixel cache resource limit
-log format | format of debugging information
-map filename | transform image colors to match this set of colors
-matte | store matte channel if the image has one
-mattecolor color | frame color
-monitor | monitor progress
-monochrome | transform image to black and white
-negate | replace every pixel with its complementary color
-page geometry | size and location of an image canvas (setting)
-profile filename | add, delete, or apply an image profile
-raise value | lighten/darken image edges to create a 3-D effect
-remote command | execute a command in an remote animate process
-resize geometry | resize the image
-roll geometry | roll an image vertically or horizontally
-rotate degrees | apply Paeth rotation to the image
-sample geometry | scale image with pixel sampling
-sampling-factor geometry | horizontal and vertical sampling factor
-scene value | image scene number
-segment values | segment an image
-set attribute value | set an image attribute
-sharpen geometry | sharpen the image
-size geometry | width and height of image
-strip | strip image of all profiles and comments
-support factor | resize support: > 1.0 is blurry, < 1.0 is sharp
-trim | trim image edges
-update seconds | detect when image file is modified and reanimate
-verbose | print detailed information about the image
-version | print version information
-virtual-pixel method | access method for pixels outside the boundaries of the image
-visual | animate image using this visual type
-window id | animate images to background of this window
-window-group id | exit program when this window id is destroyed

Discourse Server | Mailing Lists | Image Gallery | ImageMagick Studio
© 1999-2005 ImageMagick Studio LLC